Package fr.gouv.vitam.common.model.export.transfer

# Class TransferRequestParameters

java.lang.Object
fr.gouv.vitam.common.model.export.transfer.TransferRequestParameters

public class TransferRequestParameters extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVAL_AGENCY_IDENTIFIER`
  `static final String`
  `ARCHIVAL_AGREEMENT`
  `static final String`
  `COMMENT`
  `static final String`
  `ORIGINATING_AGENCY_IDENTIFIER`
  `static final String`
  `RELATED_TRANSFER_REFERENCE`
  `static final String`
  `SUBMISSION_AGENCY_IDENTIFIER`
  `static final String`
  `TRANSFER_REQUEST_REPLY_IDENTIFIER`
  `static final String`
  `TRANSFERRING_AGENCY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransferRequestParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchivalAgencyIdentifier()`
  `String`
  `getArchivalAgreement()`
  `String`
  `getComment()`
  `String`
  `getOriginatingAgencyIdentifier()`
  `List<String>`
  `getRelatedTransferReference()`
  `String`
  `getSubmissionAgencyIdentifier()`
  `String`
  `getTransferRequestReplyIdentifier()`
  `String`
  `getTransferringAgency()`
  `void`
  `setArchivalAgencyIdentifier(String archivalAgencyIdentifier)`
  `void`
  `setArchivalAgreement(String archivalAgreement)`
  `void`
  `setComment(String comment)`
  `void`
  `setOriginatingAgencyIdentifier(String originatingAgencyIdentifier)`
  `void`
  `setRelatedTransferReference(List<String> relatedTransferReference)`
  `void`
  `setSubmissionAgencyIdentifier(String submissionAgencyIdentifier)`
  `void`
  `setTransferRequestReplyIdentifier(String transferRequestReplyIdentifier)`
  `void`
  `setTransferringAgency(String transferringAgency)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRANSFERRING_AGENCY

    public static final String TRANSFERRING_AGENCY
    See Also:
      - Constant Field Values

  - ### ARCHIVAL_AGENCY_IDENTIFIER

    public static final String ARCHIVAL_AGENCY_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### TRANSFER_REQUEST_REPLY_IDENTIFIER

    public static final String TRANSFER_REQUEST_REPLY_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### RELATED_TRANSFER_REFERENCE

    public static final String RELATED_TRANSFER_REFERENCE
    See Also:
      - Constant Field Values

  - ### SUBMISSION_AGENCY_IDENTIFIER

    public static final String SUBMISSION_AGENCY_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### ORIGINATING_AGENCY_IDENTIFIER

    public static final String ORIGINATING_AGENCY_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### ARCHIVAL_AGREEMENT

    public static final String ARCHIVAL_AGREEMENT
    See Also:
      - Constant Field Values

  - ### COMMENT

    public static final String COMMENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TransferRequestParameters

    public TransferRequestParameters()

- ## Method Details

  - ### getArchivalAgreement

    public String getArchivalAgreement()

  - ### setArchivalAgreement

    public void setArchivalAgreement(String archivalAgreement)

  - ### getOriginatingAgencyIdentifier

    public String getOriginatingAgencyIdentifier()

  - ### setOriginatingAgencyIdentifier

    public void setOriginatingAgencyIdentifier(String originatingAgencyIdentifier)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getSubmissionAgencyIdentifier

    public String getSubmissionAgencyIdentifier()

  - ### setSubmissionAgencyIdentifier

    public void setSubmissionAgencyIdentifier(String submissionAgencyIdentifier)

  - ### getRelatedTransferReference

    public List<String> getRelatedTransferReference()

  - ### setRelatedTransferReference

    public void setRelatedTransferReference(List<String> relatedTransferReference)

  - ### getTransferRequestReplyIdentifier

    public String getTransferRequestReplyIdentifier()

  - ### setTransferRequestReplyIdentifier

    public void setTransferRequestReplyIdentifier(String transferRequestReplyIdentifier)

  - ### getArchivalAgencyIdentifier

    public String getArchivalAgencyIdentifier()

  - ### setArchivalAgencyIdentifier

    public void setArchivalAgencyIdentifier(String archivalAgencyIdentifier)

  - ### getTransferringAgency

    public String getTransferringAgency()

  - ### setTransferringAgency

    public void setTransferringAgency(String transferringAgency)